Page MenuHomePhabricator

Efl.Ui.Animation_View: Implement sector playing feature
ClosedPublic

Authored by jsuya on Oct 25 2019, 12:17 AM.

Details

Summary

play_sector method is API for playing section.
If the animation object has section information, user can play the section.
Get the start and end section name and get the frame of each section.
And set and play the min and max frames of the current animation object.

Depends on D10506

Test Plan

For example. Animation objects have "first","second" and "third" sectors.
And sector "second" has duration information.

User can use it like this:
efl_ui_animation_view_play_sector(anim_view, "first", "second");
efl_ui_animation_view_play_sector(anim_view, "second", NULL);
efl_ui_animation_view_play_sector(anim_view, "first", NULL); // first sector ~ end frame of animation object.
efl_ui_animation_view_play_sector(anim_view, "second", "third");
efl_ui_animation_view_play_sector(anim_view, "second", "wrong name");

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
jsuya created this revision.Oct 25 2019, 12:17 AM
jsuya requested review of this revision.Oct 25 2019, 12:17 AM
Hermet requested changes to this revision.Oct 25 2019, 3:20 AM

Please check comments.

src/lib/elementary/efl_ui_animation_view.c
473

If start and end is null, it can play full frames?

489

I think if it's static image, min/max could be zero.

if (start_frame < end_frame) looks enough.

This revision now requires changes to proceed.Oct 25 2019, 3:20 AM
jsuya updated this revision to Diff 26658.Nov 3 2019, 8:25 PM

Update patch

jsuya marked 2 inline comments as done.Nov 3 2019, 8:25 PM
Hermet accepted this revision.Nov 4 2019, 8:14 AM
This revision is now accepted and ready to land.Nov 4 2019, 8:14 AM
This revision was automatically updated to reflect the committed changes.